---
# Across different groups and projects, defined in the jobs
default-labels:
  variants:
    - description: '[DAILY] defaults labels for groups and projects'
      documentation: |
        # TODO: Add actual documentation
        This is what this class does
      cron: '0 0 * * *' # At 00:00.
      variables:
        # **DO NOT** DEFINE TRIAGE_SOURCE_PATH for this schedule
        # We're relying on the jobs here.
        # pre-hygiene
        DEFAULT_LABELING: 1
        # hygiene
        TRIAGE_STAGE_AND_GROUP_LABELS_HYGIENE: 1
        # Security Insights
        TRIAGE_SECURITY_INSIGHTS_WEIGHT_HYGIENE: 1
        TRIAGE_SECURITY_INSIGHTS_REFINEMENT_HYGIENE: 1
        TRIAGE_SECURITY_INSIGHTS_TECH_STACK_LABEL: 1
        TRIAGE_SECURITY_INSIGHTS_REMOVE_ASSIGNEE: 1
        TRIAGE_SECURITY_INSIGHTS_INTERNAL_BUG_TRIAGE: 1
        # Security Policies
        TRIAGE_SECURITY_POLICIES_WEIGHT_HYGIENE: 1
        TRIAGE_SECURITY_POLICIES_REFINEMENT_HYGIENE: 1
        TRIAGE_SECURITY_POLICIES_REMOVE_ASSIGNEE: 1
        # DAST
        TRIAGE_DAST_REFINEMENT_HYGIENE: 1
        # Remote Development
        TRIAGE_REMOTE_DEVELOPMENT_WORKSPACES_WORKFLOW: 1
        # Global Search
        TRIAGE_GLOBAL_SEARCH_WEIGHT_HYGIENE: 1
        TRIAGE_GLOBAL_SEARCH_CODE_SEARCH_LABEL_HYGIENE: 1
        TRIAGE_GLOBAL_SEARCH_ACTIVE_ITEMS_HYGIENE: 1
        # Plan
        TRIAGE_CERTIFY_GROUP_LABEL_HYGIENE: 1

missed-resources:
  variants:
    - description: '[DAILY] Add missed labels for projects'
      documentation: |
        # TODO: Add actual documentation
        This is another class
      cron: '5 0 * * *' # At 00:05.
      cron_timezone: America/Los_Angeles
      variables:
        TZ: America/Los_Angeles
        # **DO NOT** DEFINE TRIAGE_SOURCE_PATH for this schedule
        # We're relying on the jobs here.
        TRIAGE_MISSED_RESOURCES: 1

# Groups
gitlab-org/charts:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: groups
      TRIAGE_SOURCE_PATH: 5032027
  variants:
    - description: '[DAILY] gitlab-org/charts'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_REMINDERS: 1

gitlab-org/distribution:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: groups
      TRIAGE_SOURCE_PATH: 2639717
  variants:
    - description: '[DAILY] gitlab-org/distribution'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_REMINDERS: 1

gitlab-org/database-team:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: groups
      TRIAGE_SOURCE_PATH: 6104555
  variants:
    - description: '[DAILY] gitlab-org/database-team'
      documentation: |
        Hygiene tasks for the database-team group
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_REMINDERS: 1

gitlab-org:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: groups
      TRIAGE_SOURCE_PATH: 9970
  variants:
    - description: '[HOURLY] gitlab-org label community contributions'
      documentation: |
        Add the ~"Community contribution" label to MRs authored by non-members of the `gitlab-org` group.
        Assign the last reviewer or a coach to any ~"Community contribution" ~"workflow::ready for review" or ~"workflow::in review" without one.
      cron: '0 * * * *' # At minute 0.
      variables:
        # hygiene
        TRIAGE_LABEL_COMMUNITY_CONTRIBUTIONS: 1
        TRIAGE_COMMUNITY_PING_INCORRECT_REVIEW_LABEL: 1
    - description: '[DAILY] gitlab-org hygiene'
      documentation: |
        This runs several hygiene-related policies that add labels automatically, ping inactive people, ask people to set labels etc.
      cron: '0 0 * * *' # At 00:00.
      variables:
        # hygiene
        TRIAGE_ASK_SEVERITY_PRIORITY_FOR_INFRADEV_ISSUES: 1
        TRIAGE_ASK_SEVERITY_FOR_BUG_UX_ISSUES: 1
        TRIAGE_ASK_SEVERITY_FOR_CUSTOMER_BUG_ISSUES: 1
        TRIAGE_DISCOVER: 1
        TRIAGE_LABEL_AVAILABILITY_ISSUES: 1
        TRIAGE_LABEL_UX_COMMUNITY_CONTRIBUTION_ISSUES: 1
        TRIAGE_LABEL_JIHU_CONTRIBUTIONS: 1
        TRIAGE_LABEL_CONTRACTOR_CONTRIBUTIONS: 1
        TRIAGE_LABEL_BOT_MRS: 1
        TRIAGE_ADD_LEGAL_DISCLAIMER_TO_DIRECTION_EPICS: 1
        TRIAGE_LABEL_IDLE_COMMUNITY_MRS: 1
        TRIAGE_CLOSE_STALE_UNHEALTHY_TEST_ISSUES: 1
        TRIAGE_COMMUNITY_PING_INACTIVE_AUTHOR: 1
        TRIAGE_COMMUNITY_PING_INACTIVE_REVIEWERS: 1
        TRIAGE_S1_BUGS_HYGIENE: 1
        TRIAGE_GROWTH_REFINE_AUTOMATION: 1
        TRIAGE_GROWTH_TIME_IN_DEV: 1
        LABEL_GITALY_CUSTOMER_BUGS: 1
    - description: '[DAILY] gitlab-org reports'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 2 * * 1-5' # At 02:00 on every day-of-week from Monday through Friday.
      variables:
        # report
        COMMUNITY_CONTRIBUTION_REPORT: 1
        # close-reports
        TRIAGE_CLOSE_OLD_TRIAGE_REPORTS: 1
        TRIAGE_CLOSE_REPORTS_RESOURCES_MOVED_TO_NEXT_MILESTONE: 1
    - description: '[WEEKLY] gitlab-org'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 3 * * 1' # At 03:00 on Monday.
      variables:
        # report
        TRIAGE_MISSING_CATEGORIES: 1
        TRIAGE_CLOSE_STALE_BUGS: 1
        TRIAGE_RUNNER_GROUP_SUMMARY: 1
        TRIAGE_NUDGE_STALE_COMMUNITY_CONTRIBUTIONS: 1
        TRIAGE_COMPLIANCE_RECENTLY_DELIVERED: 1
        TRIAGE_SECURITY_POLICIES_BLOCKED_ISSUES: 1
        TRIAGE_LEADING_ORG_REPORT: 1
        TRIAGE_GROWTH_WEEKLY_REPORT: 1
        # hygiene (but expensive to do, so we do them once a week)
        TRIAGE_REMIND_VULNERABILITY_SLO: 1
        # Creating the editor extensions group summary at the gitlab-org level because of https://gitlab.com/gitlab-org/quality/engineering-productivity/team/-/issues/358#note_1723024857
        TRIAGE_TEAM_SUMMARY_EDITOR_EXTENSIONS: 1
        # Creating the EP group summary at the gitlab-org level because we have many projects outside of the monolith
        TRIAGE_TEAM_SUMMARY_ENGINEERING_PRODUCTIVITY: 1
    - description: '[MONTHLY] gitlab-org prompt for tier labels'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 4 23 * *' # At 04:00 on day-of-month 23.
      variables:
        # hygiene
        TRIAGE_PROMPT_FOR_TIER_LABELS: 1
    - description: '[On 2nd] gitlab-org bug prioritization report'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 3 2 * *' # At 03:00 on day-of-month 2.
      variables:
        # Bug Prioritization report
        TRIAGE_BUG_PRIORITIZATION_REPORT: 1
        CUSTOMER_BUGS_WITHOUT_SEVERITY: 1
    - description: '[On 4th] Quality report'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 2 4 * *' # At 02:00 on day-of-month 4.
      variables:
        TRIAGE_QUALITY_REPORT: 1
    - description: '[On 6th and 14th] Adjust health status of issues'
      documentation: |
        Degrades the health status of issues bearing a specific label if they
        meet certain criteria, such as not having an assignee or being at a
        desired workflow state.
      cron: '0 2 * * *' # At 02:00 every day.
      variables:
        TRIAGE_ADJUST_HEALTH_STATUS: 1
    - description: '[On 2nd Thursday of a month] Assign secret detection issues for refinement'
      documentation: |
        This schedule assigns Secure:Secret Detection issues to engineers for refinement on the 2nd Thursday of a month (one week before a milestone ends).
      # This cron expression uses a hash-extension: https://github.com/floraison/fugit?tab=readme-ov-file#the-hash-extension
      # since we use fujit to parse cron on the server: https://docs.gitlab.com/ee/topics/cron/#how-gitlab-parses-cron-syntax-strings
      cron: '0 0 * * 4#2' # At 00:00 on every 2nd Thursday of a month.
      variables:
        TRIAGE_SECRET_DETECTION_REFINEMENT: 1

# Projects
gitlab-org/quality/triage-ops:
  base:
    active: true
  variants:
    - description: '[6-hourly] gitlab-org/quality/triage-ops regular pipeline run'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 */6 * * *' # At minute 0 past every 6th hour.
      variables:
        SCHEDULED_TESTS: 1

gitlab-com/www-gitlab-com:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 7764
  variants:
    - description: '[DAILY] gitlab-com/www-gitlab-com'
      documentation: |
        # TODO: Add actual documentation
      variables:
        # hygiene
        TRIAGE_WEBSITE_LABEL_COMMUNITY_CONTRIBUTIONS: 1

gitlab-org/customers-gitlab-com:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 2670515
  variants:
    - description: '[DAILY] gitlab-org/customers-gitlab-com'
      documentation: |
        # TODO: Add actual documentation
      variables:
        # hygiene
        TRIAGE_CLOSE_OLD_ISSUES: 1

gitlab-org/gitaly:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 2009901
  variants:
    - description: '[DAILY] gitlab-org/gitaly'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_MISSED_SLO: 1
        TRIAGE_LABEL_REMINDERS: 1
        TRIAGE_LABEL_SEEKING_COMMUNITY_CONTRIBUTIONS: 1
        TRIAGE_LABEL_VULNERABILITY: 1
        TRIAGE_ADD_ACTIVE_ISSUES_TO_CURRENT_MILESTONE: 1
        TRIAGE_ENSURE_ISSUES_HAVE_MILESTONE: 1
        TRIAGE_BUMP_PLANNING_ISSUES_TO_NEXT_MILESTONE: 1
        TRIAGE_FUTURE_ISSUES_START_IN_PLANNING_BREAKDOWN: 1
    - description: '[WEEKLY] gitlab-org/gitaly'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 2 * * 1' # At 02:00 on Monday.
      variables:
        # report
        TRIAGE_TEAM_SUMMARY: 1
        # Excluding the EP group from gitlab-org/gitaly's reports because the report is created at gitlab-org level
        EXCLUDE_TRIAGE_TEAM_SUMMARY_ENGINEERING_PRODUCTIVITY: 1
    - cron: '0 2 8,23 * *' # At 02:00 on day-of-month 8 and 23.
      description: '[On 8th and 23nd] gitlab-org/gitaly'
      documentation: |
        # TODO: Add actual documentation
      variables:
        TRIAGE_SOURCE_PATH: gitlab-org/gitaly
        # report
        TRIAGE_MERGE_REQUESTS_NEEDING_ATTENTION: 1

gitlab-org/gitlab-foss:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 13083
  variants:
    - description: '[3-hour] gitlab-org/gitlab-foss migrate open gitlab-foss issues to gitlab'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 */3 * * *' # At minute 0 past every 3rd hour.
      variables:
        # hygiene
        TRIAGE_GITLAB_FOSS_MIGRATE_ISSUES_TO_GITLAB: 1

gitlab-org/gitlab-qa:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 1441932
  variants:
    - description: '[DAILY] gitlab-org/gitlab-qa'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_MISSED_SLO: 1
        TRIAGE_LABEL_REMINDERS: 1
        TRIAGE_LABEL_SEEKING_COMMUNITY_CONTRIBUTIONS: 1
        TRIAGE_LABEL_VULNERABILITY: 1
    - cron: '0 2 8,23 * *' # At 02:00 on day-of-month 8 and 23.
      description: '[On 8th and 23nd] gitlab-org/gitlab-qa'
      documentation: |
        # TODO: Add actual documentation
      variables:
        TRIAGE_SOURCE_PATH: gitlab-org/gitlab-qa
        # report
        TRIAGE_MERGE_REQUESTS_NEEDING_ATTENTION: 1

gitlab-org/gitlab-runner:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 250833
  variants:
    - description: '[DAILY] gitlab-org/gitlab-runner'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_MISSED_SLO: 1
        TRIAGE_LABEL_REMINDERS: 1
        TRIAGE_LABEL_SEEKING_COMMUNITY_CONTRIBUTIONS: 1
        TRIAGE_LABEL_VULNERABILITY: 1
    - cron: '0 2 8,23 * *' # At 02:00 on day-of-month 8 and 23.
      description: '[On 8th and 23nd] gitlab-org/gitlab-runner'
      documentation: |
        # TODO: Add actual documentation
      variables:
        TRIAGE_SOURCE_PATH: gitlab-org/gitlab-runner
        # report
        TRIAGE_MERGE_REQUESTS_NEEDING_ATTENTION: 1

gitlab-org/gitlab-development-kit:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 74823
  variants:
    - description: '[DAILY] gitlab-org/gitlab-development-kit'
      documentation: |
        Adds the current milestone to merged MRs.
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_ADD_MILESTONE_TO_COMMUNITY_MERGE_REQUESTS: 1

gitlab-org/gitlab:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 278964
  variants:
    - description: '[DAILY] gitlab-org/gitlab'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_ADD_MILESTONE_TO_COMMUNITY_MERGE_REQUESTS: 1
        TRIAGE_LABEL_ESTIMATION_COMPLETED: 1
        TRIAGE_LABEL_MISSED_SLO: 1
        TRIAGE_LABEL_REMINDERS: 1
        TRIAGE_LABEL_SEEKING_COMMUNITY_CONTRIBUTIONS: 1
        TRIAGE_LABEL_VULNERABILITY: 1
        TRIAGE_SET_PRIORITY_FROM_SEVERITY: 1
        TRIAGE_WARN_IMPENDING_SLO_BREACH: 1
        MANAGE_ACCESS_FEATURE_FLAG_CHECK: 1
        PROMPT_FOR_VULNERABILITY_LABEL: 1
        ASSIGN_DEFAULT_WORKFLOW_LABEL: 1
        APPLY_ANALYTICS_INSTRUMENTATION_LABEL: 1
    - cron: '5 */3 * * *' # At 5 minutes past every 3rd hour (coincides with tanuki-stan).
      description: '[3-hour] gitlab-org/gitlab encourage issue self-triage'
      documentation: |
        # TODO: Add actual documentation
      variables:
        # report
        TRIAGE_UNTRIAGED_ISSUES: 1
    - cron: '0 2 * * 1' # At 02:00 on Monday.
      description: '[WEEKLY] gitlab-org/gitlab'
      documentation: |
        # TODO: Add actual documentation
      variables:
        # report
        TRIAGE_TEAM_SUMMARY: 1
        # Excluding the editor extensions group from gitlab-org/gitlab's reports because of https://gitlab.com/gitlab-org/quality/engineering-productivity/team/-/issues/358#note_1723024857
        EXCLUDE_TRIAGE_TEAM_SUMMARY_EDITOR_EXTENSIONS: 1
        # Excluding the EP group from gitlab-org/gitlab's reports because the report is created at gitlab-org level
        EXCLUDE_TRIAGE_TEAM_SUMMARY_ENGINEERING_PRODUCTIVITY: 1
    - cron: '0 5 8,15 * *' # At 05:00 on day-of-month 8 and 15.
      description: '[On 8th and 15th] gitlab-org/gitlab issues slipping hygiene'
      documentation: |
        # TODO: Add actual documentation
      variables:
        PROMPT_FOR_SLIPPING_TRIAGE_COMPLIANCE: 1
        PROMPT_FOR_SLIPPING_TRIAGE_REMOTE_DEVELOPMENT: 1
        PROMPT_FOR_SLIPPING_TRIAGE_IMPORT: 1
        PROMPT_FOR_SLIPPING_TRIAGE_OPTIMIZE: 1
    - cron: '0 5 18 * *' # At 05:00 on day-of-month 18, the day development on a milestone begins.
      description: '[On 18th] gitlab-org/gitlab'
      documentation: |
        # TODO: Add actual documentation
      variables:
        PROMPT_FOR_DOCUMENTATION_LABEL: 1
    - cron: '0 2 8,23 * *' # At 02:00 on day-of-month 8 and 23.
      description: '[On 8th and 23nd] gitlab-org/gitlab'
      documentation: |
        # TODO: Add actual documentation
      variables:
        # report
        TRIAGE_MERGE_REQUESTS_NEEDING_ATTENTION: 1
        TRIAGE_VERIFY_COMMUNITY_MERGE_REQUESTS: 1
    - cron: '0 14 13 * *' # At 14:00 on day-of-month 13.
      description: '[On 13th] gitlab-org/gitlab bugs release post triage'
      documentation: |
        # TODO: Add actual documentation
      variables:
        # report
        BUG_RELEASE_POST_TRIAGE: 1

gitlab-org/omnibus-gitlab:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 20699
  variants:
    - description: '[DAILY] gitlab-org/omnibus-gitlab'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_REMINDERS: 1
        TRIAGE_LABEL_SEEKING_COMMUNITY_CONTRIBUTIONS: 1
        TRIAGE_LABEL_VULNERABILITY: 1

gitlab-org/plan:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 50261472
  variants:
    - description: '[18th every month] gitlab-org/plan end of release refinement'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 4 18 * *' # At 04:00 on day-of-month 18.
      variables:
        TRIAGE_PLAN_STAGE_END_OF_RELEASE_REFINEMENT: 1
    - description: '[29th every month] gitlab-org/plan security issue check'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 4 29 * *' # At 04:00 on day-of-month 29.
      variables:
        TRIAGE_PLAN_STAGE_SECURITY_ISSUE_CHECK: 1

gitlab-org/gitlab-orchestrator:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 14378900
  variants:
    - description: '[DAILY] gitlab-org/gitlab-orchestrator'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_REMINDERS: 1

gitlab-org/gitlab-shell:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 14022
  variants:
    - description: '[DAILY] gitlab-org/gitlab-shell'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        # hygiene
        TRIAGE_LABEL_MISSED_SLO: 1
        TRIAGE_LABEL_REMINDERS: 1
        TRIAGE_LABEL_SEEKING_COMMUNITY_CONTRIBUTIONS: 1
        TRIAGE_LABEL_VULNERABILITY: 1
    - description: '[WEEKLY] gitlab-org/gitlab-shell'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 2 * * 1' # At 02:00 on Monday.
      variables:
        # report
        TRIAGE_TEAM_SUMMARY: 1
    - cron: '0 2 8,23 * *' # At 02:00 on day-of-month 8 and 23.
      description: '[On 8th and 23nd] gitlab-org/gitlab-shell'
      documentation: |
        # TODO: Add actual documentation
      variables:
        TRIAGE_SOURCE_PATH: gitlab-org/gitlab-shell
        # report
        TRIAGE_MERGE_REQUESTS_NEEDING_ATTENTION: 1

gitlab-org/security/gitlab:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 15642544
  variants:
    - description: '[DAILY] gitlab-org/security/gitlab'
      documentation: |
        # TODO: Add actual documentation
      cron: '0 1 * * *' # At 01:00.
      variables:
        HYGIENE_REMOVE_BOT_REVIEWER: 1

gitlab-org/terraform-provider-gitlab:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 40916776
  variants:
    - description: '[DAILY] gitlab-org/terraform-provider-gitlab'
      documentation: |
        # Scheduled automation for terraform-provider-gitlab
      cron: '0 1 * * *' # At 01:00.
      variables:
        TRIAGE_LABEL_MISSED_SLO: 1
        TRIAGE_LABEL_REMINDERS: 1
        TRIAGE_MISSING_CATEGORIES: 1

gitlab-org/security-products:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: groups
      TRIAGE_SOURCE_PATH: 2452873
  variants:
    - cron: '2 2 * * 1' # Weekly at 02:02 on Monday.
      description: '[WEEKLY] gitlab-org/security-products'
      documentation: |
        # TODO: Add actual documentation
      variables:
        # report
        TRIAGE_SECURITY_PRODUCTS_COMMUNITY_MERGE_REQUESTS: 1

gitlab-com/support-forum:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 63904
  variants:
    - description: '[DAILY] gitlab-com/support-forum'
      documentation: |
        # TODO: Add actual documentation
      variables:
        # report
        TRIAGE_SUPPORT_FORUM_AUTO_CLOSURE: 1

components:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: groups
      TRIAGE_SOURCE_PATH: 79487724
  variants:
    - cron: '0 1 * * 1' # At 01:00 on Monday.
      description: '[WEEKLY] components contributions to GitLab-maintained components'
      documentation: |
        # Scheduled automation for gitlab.com/components
      variables:
        # report
        TRIAGE_VERIFY_COMPONENT_MERGE_REQUESTS: 1

regenerate-policies:
  base:
    variables:
      REGENERATE_POLICIES: 1
  variants:
    - cron: '27 * * * *' # At minute 27.
      description: '[HOURLY] regenerate stale policies'
      documentation: |
        # Scheduled automation for regenerating stale policies

engineering-productivity/master-broken-incidents:
  base:
    variables:
      TRIAGE_SOURCE_TYPE: projects
      TRIAGE_SOURCE_PATH: 40549124
  variants:
    - cron: '0 4 * * *' # 4am Everyday
      description: '[DAILY] master-broken-incidents hygiene'
      documentation: |
        # Scheduled automation for master broken incidents hygiene
      variables:
        MASTER_BROKEN_INCIDENTS_ROOT_CAUSE_LABEL_HYGIENE: 1
        MASTER_BROKEN_INCIDENTS_STATUS_HYGIENE: 1
